import sys
import os
from os import path
from datetime import datetime
import time

dests = sys.argv[1:]
for dest in dests:
    root = path.dirname(dest)
    print "Working on", root, "...",
    index = path.join(root, 'index.html')
    files = os.listdir(root)
    content = """
    <!DOCTYPE html>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <title>{0}</title>
    <link rel="stylesheet" type="text/css" href="/~kc/index/index.css"></link>
    <script type="text/javascript" src="/~kc/index/index.js"></script>
    <h1><code>{0}</code></h1>
    """.format(root.replace('/public_html', '').replace('/home/', '~'))
    content = content + """<p class="dir"><a href="../">..</a>"""
    for f in sorted(files):
        isfile = path.isfile(path.join(root, f))
        if not isfile:
            f = f + '/'
        if f != 'index.html' and f != '.indexme':
            content = content + """
            <p class="{1}"><a href="{0}">{0}</a> <span class="date">{2}</span>
            """.format(
                f,
                path.splitext(f)[1][1:].lower() if isfile else 'dir',
                datetime.utcfromtimestamp(path.getmtime(path.join(root, f))).strftime('%b %d &rsquo;%y')
            )
    content += """
    <p id="footer"><em>Generated on {0} by a cron job maintained by ~kc.</em>
    """.format(datetime.now().strftime('%b %d &rsquo;%y at %H:%M:%S'))
    try:
        f = open(index, 'w')
        f.write(content)
        f.close()
        print "Done!"
    except IOError:
        print "Oops!"
        pass
